EDIT - task #9658

Cleanup authors with protected names and authors
06/08/2021 05:42 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: data Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

copied from #9364
In some databases there are many names with protected caches which may lead to problems when searching for names.

SELECT tn.id, tn.titleCache, tn.nameCache, tn.protectedTitleCache, tn.protectedNameCache, tn.prote
ctedFullTitleCache, tn.protectedAuthorshipCache , tn.*

FROM TaxonName tn

WHERE tn.protectednamecache = 1 OR tn.protectedtitlecache = 1 OR tn.protectedFullTitleCache = 1 OR
tn.protectedAuthorshipCache ;

Especially interesting might be those having an "&" in the protected nameCache which indicates that there is authorship in the
nameCache which should not happen.

Also many Teams have a protected nomenclatural title which is in most cases not necessary.
SELECT ab.id, ab.DTYPE, ab.titleCache, ab.nomenclaturaltitle, ab.protectedtitlecache, ab.protected

nomenclaturaltitlecache, ab.*
FROM AgentBase ab

WHERE
—-— ab.protectedtitlecache = 1 OR
ab.protectednomenclaturaltitlecache = 1

ORDER BY ab.nomenclaturaltitle

However, in most cases this is not critical.

Related issues:

Related to EDIT - task #9650: Update all titteCaches after upgrade of cache s... In Progress
Copied from EDIT - task #9364: Cleanup authors with multiple & and protected ... Closed
History

#1 - 06/08/2021 05:42 PM - Andreas Miuller

- Copied from task #9364: Cleanup authors with multiple & and protected names and teams added

#2 - 06/08/2021 05:43 PM - Andreas Miuller

Protected Names (still without fulltittecache and authorshipcache):

Bromeliaceae: 584
Cichorieae: 476
Cuba: 567
Campanula: 28
Caryo_amaranth: 18
Nepenthes: 8
Caryo_genrea: 1
Caryo_spp: 268
Greece: 3

Palmae: 66
Casearia: 7

Col: >500000
Corvidae: 87
Cyprus: 97 (mostly hybrids)
Diptera: 3
E+M: 801 (mostly hybrids)

E+M cauc: 4

Myristicacea: 1

Phycobank: 245 => WHK

Salvador: 3 (ok, highest taxa, but ask Walter)

Guianas: 1487 !l
Flora Malesiana: 535
FM-clean: 2

FM propective: 84
Gabon: 90

RL: All, but many in Animalia, GermanSL, Moose, Standardliste + Plantae(?)

Globis: 7483
Edapho: 4
Vibrant: 24165

#3 - 06/08/2021 05:43 PM - Andreas Miuller

Protected Teams(nomenclaturalTitle):

AlgaTerra: >14000
Cichorieae: 8487
Cuba: 14
Campanula: 1171
Caryo_amaranth: 113
Nepenthes: 65
Caryo_genera: 128
Caryo_spp: 126
Palmae: 12592
Casearia: 1

Col: >1900000
Corvidae: 487
Cyprus: 1

Diptera: 365

E+M: 16

E+M cauc: 2
Phycobank: 270
Salvador: 19
Mexiko: 101

Guianas: 14465

Flora Malesiana: >121000
FM-clean: 16

FM propective: 55
Gabon: 12940

RL: All, but many in Armeria, Moose, Standardliste + Plantae(?)

Gilobis: 7483
Vibrant: 41202

#4 - 06/08/2021 05:48 PM - Andreas Miiller
- Related to task #9650: Update all titlteCaches after upgrade of cache strategies and formatters added

#5 - 01/30/2023 03:51 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.45
